Bug 387598 - Send As ICalendar Address Selection has problems
Summary: Send As ICalendar Address Selection has problems
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-04 18:29 UTC by Allen Winter
Modified: 2019-08-20 20:29 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.13.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Allen Winter 2017-12-04 18:29:02 UTC
Go to agendaview and open the context menu for an item.
Select Send As ICalendar.

You get the "Select Addresses" dialog.  Press the [Select..] button and notice several problems in the resulting dialog:
- contacts from addressbooks that are de-selected in KAddressbook are shown
- search doesn't work.  well it might work but it is searching on more than the name.  maybe showing the email address as well as the name would make the search results look saner
- ldap selections are not shown

worst problem is not showing the ldap
Comment 1 Laurent Montel 2017-12-05 05:55:44 UTC
I confirm it.
but "contacts from addressbooks that are de-selected in KAddressbook are shown" we didn"t support it even in kmail. So it's not as we deselect address in kaddressbook as it's not used in kmail or other. (it's for that that we can disable it in kmail autocompletion)

for "search" indeed it's wierd I will look at it.

ldap: yep ldap is not used. It's a big bug
Comment 2 Allen Winter 2017-12-05 15:26:54 UTC
Thanks Laurent.

The search I think is looking at all the properties of the contact, not just the name and address.  
Can you also show the email address next to the name in the list?

yeah, ldap support looks difficult.
Comment 3 Laurent Montel 2017-12-06 12:21:11 UTC
Git commit 05e5670d46ee3fbcf96eaaca64f320bb268e6a51 by Montel Laurent.
Committed on 06/12/2017 at 12:20.
Pushed by mlaurent into branch 'master'.

Allow to fix only on emails and name

M  +63   -50   src/akonadi-contacts/contactsfilterproxymodel.cpp
M  +13   -1    src/akonadi-contacts/contactsfilterproxymodel.h
M  +1    -0    src/akonadi-contacts/emailaddressselectionwidget.cpp

https://commits.kde.org/akonadi-contacts/05e5670d46ee3fbcf96eaaca64f320bb268e6a51
Comment 4 Laurent Montel 2019-08-20 20:29:20 UTC
Git commit a6921af76dc0222bc6bf63c071a9b6b79c3afc5c by Laurent Montel.
Committed on 20/08/2019 at 20:28.
Pushed by mlaurent into branch 'master'.

Fix Bug 387598 - Send As ICalendar Address Selection has problems

FIXED-IN: 5.13.0

M  +1    -1    korganizer/emailaddressselectionldapdialog/CMakeLists.txt
M  +72   -5    korganizer/emailaddressselectionldapdialog/emailaddressselectionldapdialog.cpp
M  +13   -1    korganizer/emailaddressselectionldapdialog/emailaddressselectionldapdialog.h
M  +9    -2    sieveeditor/emaillineedit/emaillineedit.cpp

https://commits.kde.org/kdepim-addons/a6921af76dc0222bc6bf63c071a9b6b79c3afc5c